Subject: Re: Using DMA

From: Timur Tabi <[email-masked]>
Date: Fri, 07 Nov 2008 16:28:11 -0600

[email-masked] wrote:

> So it sounds like the async dma is the way to go, since I want to off load 
> as much as possible from the core.  As you say, though, it's new and not 
> in LDD3.  Is .../drivers/dma/dmaengine.c what everyone is refering to as 
> async dma?

Yes.

>  If not, what is?  And what in the kernel is already using it
> so I can look at some example code.

There's some network stuff that uses it for optimization.  If CONFIG_NET_DMA is
enabled, that will turn on some kind of TCP/IP offloading.  I don't really know
much about that.  There's also a dmatest.c testing driver.

It would definitely be nice to see a third client driver.

-- 
Timur Tabi
Linux kernel developer at Freescale